KDE 4.7 PyKDE API Reference

- KDE's Python API

# KSessionManager Class Reference

`from PyKDE4.kdeui import *`

## Detailed Description

Provides highlevel access to session management on a per-object base.

KSessionManager makes it possible to provide implementations for QApplication.commitData() and QApplication.saveState(), without subclassing KApplication. KMainWindow internally makes use of this.

You don't need to do anything with this class when using KMainWindow. Instead, use KMainWindow.saveProperties(), KMainWindow.readProperties(), KMainWindow.queryClose(), KMainWindow.queryExit() and friends.

Highlevel access to session management.

Author:
  Matthias Ettrich <ettrich@kde.org>

## Methods
| __init__ (self)
| __init__ (self, KSessionManager a0)
bool | commitData (self, QSessionManager sm)
bool | saveState (self, QSessionManager sm)
## Static Methods
[KSessionManager] | sessionClients ()

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | KSessionManager | a0
| ) |  |  |

bool commitData | ( | self, |
|  | QSessionManager | sm
| ) |  |  |

See QApplication.commitData() for documentation.

This function is just a convenience version to avoid subclassing KApplication.

Return true to indicate a successful commit of data or false to indicate a problem and to halt the shutdown process (will implicitly call sm.cancel() ).

bool saveState | ( | self, |
|  | QSessionManager | sm
| ) |  |  |

See QApplication.saveState() for documentation.

This function is just a convenience version to avoid subclassing KApplication.

Return true to indicate a successful state save or false to indicate a problem and to halt the shutdown process (will implicitly call sm.cancel() ).

## Static Method Documentation

[KSessionManager] sessionClients | ( |  | ) |